LibreOffice LibreOffice 26.2 SDK API Reference

Modules | Variables
VertOrientation.idl File Reference

Go to the source code of this file.

## Modules
module | com
module | com::sun
module | com::sun::star
| the module com::sun::star is the root module of the UNO API.
module | com::sun::star::text
| Text specific interfaces.

## Constant Groups
constants | com::sun::star::text::VertOrientation
| These enumeration values are used to specify the vertical orientation.

## Variables
const short | NONE = 0
| no hard alignment More...
const short | TOP = 1
| aligned at the top More...
const short | CENTER = 2
| aligned at the center More...
const short | BOTTOM = 3
| aligned at the bottom More...
const short | CHAR_TOP = 4
| aligned at the top of a character (anchored to character) More...
const short | CHAR_CENTER = 5
| aligned at the center of a character (anchored to character ) More...
const short | CHAR_BOTTOM = 6
| aligned at the bottom of a character (anchored to character ) More...
const short | LINE_TOP = 7
| aligned at the top of the line (anchored to character ) More...
const short | LINE_CENTER = 8
| aligned at the center of the line (anchored to character ) More...
const short | LINE_BOTTOM = 9
| aligned at the bottom of the line (anchored to character ) More...